SIRIL(1)

NAME
siril - image processing tool for astronomy and other applications

SYNOPSIS
siril [options] [file]
siril-cli [options] [file]

DESCRIPTION
Siril is a powerful image processing tool designed for improving the signal-to-noise ratio of astronomical images. It offers a wide range of tools for aligning, stacking, and enhancing images from various file formats, including image sequences. It features a high-precision 32-bit floating-point engine and supports parallel processing to run quickly.
The application is divided into 2 binaries. The first one, siril, launches the program in graphic mode. The second one, siril-cli, is a command line interface allowing to execute the following options.

OPTIONS

-v, --version
    Prints the program name and version, then exits.

-i conf_file
    Starts Siril with the specified configuration file.

-f, --format
    Prints all supported input image formats, depending on the libraries detected at compile-time.

-c, --copyright
    Prints copyright information, then exits.

-h, --help
    Displays a brief usage summary.

-o, --offline
    Starts siril in offline mode. No network functions will work in offline mode. After startup Siril may be put back into online mode using the built-in command online.

-p  Starts Siril without the graphical user interface and uses named pipes to accept commands and print logs and status information. On POSIX systems, the named pipes are created in /tmp/siril_commands.in and /tmp/siril_commands.out.

-r input_pipe_path, --inpipe=input_pipe_path
    Provides an alternative path for the input pipe that receives the commands if -p is passed. The pipe can be created by an external program with the mkfifo(1) command.

-w output_pipe_path, --outpipe=output_pipe_path
    Provides an alternative path for the output pipe that prints logs and status updates if -p is passed. The pipe can be created by an external program with the mkfifo(1) command.

-d working_directory, --directory=working_directory
    Sets the specified path as the current working directory.

-s script_file, --script=script_file
    Starts Siril without the graphical user interface and runs the specified script instead. Scripts are text files that contain a list of commands to be executed sequentially. In these files, lines starting with a # are considered as comments. If this option is not passed, pipe operation is assumed as if -p had been passed.

-s -
    Redirects inputs written after - to stdin.

file
    Opens the specified image or sequence file immediately after startup.

FILES

@MAN_CONFIG_PATH@
    User preferences that can be overridden by the -i option.

@MAN_CSS_PATH@
    The style sheet used to change the look of the graphical user interface. This is useful for customization or if a GTK theme is incompatible with some colored elements of Siril.

LINKS

1.  Website with news, tutorials, FAQ, and more
    https://siril.org

2.  Forum for Siril
    https://discuss.pixls.us/siril

3.  Official documentation
    https://siril.readthedocs.io/en

4.  Bug tracker
    https://gitlab.com/free-astro/siril/-/issues

AUTHORS
 Vincent Hourdin <vh at free-astro dot org>
 Cyril Richard <cyril at free-astro dot org>
 Cécile Melis <cissou8 at gmail dot com>
 Adrian Knagg-Baugh <aje dot baugh at gmail dot com>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.